import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppComponent } from './app.component';
import { ChatThreadsComponent } from './chat-threads/chat-threads.component';
import { ChatThreadComponent } from './chat-thread/chat-thread.component';
import { ChatNavBarComponent } from './chat-nav-bar/chat-nav-bar.component';
import { ChatWindowComponent } from './chat-window/chat-window.component';
import { ChatMessageComponent } from './chat-message/chat-message.component';
import { ChatPageComponent } from './chat-page/chat-page.component';
import { userServiceInjectables, UsersService } from './user/users.service';
import { MessagesService, messagesServiceInjectables } from './message/messages.service';
import { ThreadsService } from './thread/threads.service';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [
    AppComponent,
    ChatThreadsComponent,
    ChatThreadComponent,
    ChatNavBarComponent,
    ChatWindowComponent,
    ChatMessageComponent,
    ChatPageComponent
  ],
  imports: [
    BrowserModule, FormsModule
  ],
  providers: [UsersService, userServiceInjectables, MessagesService, messagesServiceInjectables, ThreadsService],
  bootstrap: [AppComponent]
})
export class AppModule { }
