import { Component, Input, OnInit } from '@angular/core';
import { Thread } from '../thread/thread.model';
import { ThreadsService } from '../thread/threads.service';

@Component({
  selector: 'app-chat-thread',
  templateUrl: './chat-thread.component.html',
  styleUrls: ['./chat-thread.component.css']
})
export class ChatThreadComponent implements OnInit {
  @Input() thread: Thread;
  // [class.selected]
  selected = false;
  
  constructor(public threadsService: ThreadsService) { }

  ngOnInit(): void {
    // page 304 lines 24-30
    this.threadsService.currentThread.subscribe(
      (currentThread: Thread)  => {
        this.selected = currentThread && this.thread && (currentThread.id === this.thread.id);
      } // Echo Bot
    ); // subscribe
  } // ngOnInit

  // functions and methds
  clicked(event: any) {  // called from the view

    this.threadsService.setCurrentThread(this.thread);
    event.preventDefault(); // prevent the default refresh of the POM

  }

}
