// page 270-273

import { Injectable } from "@angular/core";
import { BehaviorSubject, Subject } from "rxjs";
import { User } from "./user.model";

@Injectable()  // DI
export class UsersService {

    currentUser: Subject<User> = new BehaviorSubject<User>(null)

    public setCurrentUser(newUser: User): void {

        this.currentUser.next(newUser); // void

    }


} // UsersService

// USER_SERVICE
export const userServiceInjectables: Array<any> = [
UsersService
// provide: service, useClass: className
];